Subject: Re: [Uta] FYI: improved attack against RSA PKCS1.5

From: Kohei Kasamatsu <[email-masked]>
Date: Mon, 14 Jul 2014 10:01:02 +0900

Hi Yaron,

I sincerely apologize for late reply.
I missed your reply.

> Thanks for describing this attack. I guess the original
> Bleichenbacher attack and its derivatives do belong in the Attacks
> draft.

Yes.

> Sec. 7.4.7.1 of RFC 5246 (TLS 1.2) claims to be resistant to the
> Bleichenbacher attack, and as far as I understand your new attack
> improves the performance of that attack, but makes the same
> assumptions on the protocol as the older attack.

Yes.

> Can you comment on
> the security of TLS 1.2 (or older versions) against your attack?

I have no comment on the security of TLS 1.2 against Bleichenbacher
attack because TLS1.2 prevents an event for using Bleichenbacher attack.

Furthermore, I agree with recommending ECDHE due to PFS in your draft.

Best,
Kohei KASAMATSU

(2014/03/08 15:24), Yaron Sheffer wrote:
> Hi Kohei,
> 
> Thanks for describing this attack. I guess the original Bleichenbacher 
> attack and its derivatives do belong in the Attacks draft.
> 
> Sec. 7.4.7.1 of RFC 5246 (TLS 1.2) claims to be resistant to the 
> Bleichenbacher attack, and as far as I understand your new attack 
> improves the performance of that attack, but makes the same assumptions 
> on the protocol as the older attack. Can you comment on the security of 
> TLS 1.2 (or older versions) against your attack?
> 
> Thanks,
>      Yaron
> 
> On 03/07/2014 01:57 PM, Kohei Kasamatsu wrote:
>> Hi UTA folks,
>>
>>
>> I'm kohei kasamatsu
>>
>> [1] is improved attack against RSA PKCS1.5 by Bleichenbacher.
>> I think that it is better to consider it in draft-sheffer-tls-bcp.
>>
>> I recommend use of CCA secure public key encryption (variant of RSA)  as
>> the countermeasure. (e.x. RSA-OAEP)
>>
>> [1] Romain Bardou, Riccardo Focardi, Yusuke Kawamoto, Lorenzo Simionato,
>> Graham Steel, Joe-Kai Tsay: Efficient Padding Oracle Attacks on
>> Cryptographic Hardware. CRYPTO 2012: 608-625
>>
>>   paper: http://eprint.iacr.org/2012/417
>>   slide: 
>> https://www.iacr.org/conferences/crypto2012/slides/11-1-Steel.pdf
>>
>> Best,
>>
> 
> _______________________________________________
> Uta mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uta
> 

-- 
Kohei KASAMATSU

NTT Software Corporation
TEL: +81 45 212 7908 FAX: +81 45 212 9800
E-mail: [email-masked]